package SHARK2.keymon.com.mx;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class c_tabulador_subs_0 {


public static RemoteObject  _b_calcular_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("b_calcular_Click (c_tabulador) ","c_tabulador",18,__ref.getField(false, "ba"),__ref,87);
if (RapidSub.canDelegate("b_calcular_click")) { return __ref.runUserSub(false, "c_tabulador","b_calcular_click", __ref);}
 BA.debugLineNum = 87;BA.debugLine="Private Sub b_calcular_Click";
Debug.ShouldStop(4194304);
 BA.debugLineNum = 88;BA.debugLine="If et_mil.Text = \"\" Then";
Debug.ShouldStop(8388608);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_et_mil" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 89;BA.debugLine="et_mil.Text = 0";
Debug.ShouldStop(16777216);
__ref.getField(false,"_et_mil" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(0));
 };
 BA.debugLineNum = 91;BA.debugLine="If et_quinientos.Text = \"\" Then";
Debug.ShouldStop(67108864);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_et_quinientos" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 92;BA.debugLine="et_quinientos.Text = 0";
Debug.ShouldStop(134217728);
__ref.getField(false,"_et_quinientos" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(0));
 };
 BA.debugLineNum = 94;BA.debugLine="If et_docientos.Text = \"\" Then";
Debug.ShouldStop(536870912);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_et_docientos" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 95;BA.debugLine="et_docientos.Text = 0";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_et_docientos" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(0));
 };
 BA.debugLineNum = 97;BA.debugLine="If et_cien.Text = \"\" Then";
Debug.ShouldStop(1);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_et_cien" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 98;BA.debugLine="et_cien.Text = 0";
Debug.ShouldStop(2);
__ref.getField(false,"_et_cien" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(0));
 };
 BA.debugLineNum = 100;BA.debugLine="If et_cincuenta.Text = \"\" Then";
Debug.ShouldStop(8);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_et_cincuenta" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 101;BA.debugLine="et_cincuenta.Text = 0";
Debug.ShouldStop(16);
__ref.getField(false,"_et_cincuenta" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(0));
 };
 BA.debugLineNum = 103;BA.debugLine="If et_veinte.Text = \"\" Then";
Debug.ShouldStop(64);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_et_veinte" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 104;BA.debugLine="et_veinte.Text = 0";
Debug.ShouldStop(128);
__ref.getField(false,"_et_veinte" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(0));
 };
 BA.debugLineNum = 106;BA.debugLine="If et_m_veinte.Text = \"\" Then";
Debug.ShouldStop(512);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_et_m_veinte" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 107;BA.debugLine="et_m_veinte.Text = 0";
Debug.ShouldStop(1024);
__ref.getField(false,"_et_m_veinte" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(0));
 };
 BA.debugLineNum = 109;BA.debugLine="If et_m_diez.Text = \"\" Then";
Debug.ShouldStop(4096);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_et_m_diez" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 110;BA.debugLine="et_m_diez.Text = 0";
Debug.ShouldStop(8192);
__ref.getField(false,"_et_m_diez" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(0));
 };
 BA.debugLineNum = 112;BA.debugLine="If et_m_cinco.Text = \"\" Then";
Debug.ShouldStop(32768);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_et_m_cinco" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 113;BA.debugLine="et_m_cinco.Text = 0";
Debug.ShouldStop(65536);
__ref.getField(false,"_et_m_cinco" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(0));
 };
 BA.debugLineNum = 115;BA.debugLine="If et_m_dos.Text = \"\" Then";
Debug.ShouldStop(262144);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_et_m_dos" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 116;BA.debugLine="et_m_dos.Text = 0";
Debug.ShouldStop(524288);
__ref.getField(false,"_et_m_dos" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(0));
 };
 BA.debugLineNum = 118;BA.debugLine="If et_m_peso.Text = \"\" Then";
Debug.ShouldStop(2097152);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_et_m_peso" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 119;BA.debugLine="et_m_peso.Text = 0";
Debug.ShouldStop(4194304);
__ref.getField(false,"_et_m_peso" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(0));
 };
 BA.debugLineNum = 121;BA.debugLine="If et_m_centavo.Text = \"\" Then";
Debug.ShouldStop(16777216);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_et_m_centavo" /*RemoteObject*/ ).runMethod(true,"getText"),BA.ObjectToString(""))) { 
 BA.debugLineNum = 122;BA.debugLine="et_m_centavo.Text = 0";
Debug.ShouldStop(33554432);
__ref.getField(false,"_et_m_centavo" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(0));
 };
 BA.debugLineNum = 124;BA.debugLine="sum_billetes = (et_mil.Text * 1000) + (et_quinien";
Debug.ShouldStop(134217728);
__ref.setField ("_sum_billetes" /*RemoteObject*/ ,BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_et_mil" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(1000)}, "*",0, 0)),(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_et_quinientos" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(500)}, "*",0, 0)),(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_et_docientos" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(200)}, "*",0, 0)),(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_et_cien" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(100)}, "*",0, 0)),(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_et_cincuenta" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(50)}, "*",0, 0)),(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_et_veinte" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(20)}, "*",0, 0))}, "+++++",5, 0)));
 BA.debugLineNum = 125;BA.debugLine="sum_monedas = (et_m_veinte.Text * 20) + ( et_m_di";
Debug.ShouldStop(268435456);
__ref.setField ("_sum_monedas" /*RemoteObject*/ ,BA.numberCast(float.class, RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_et_m_veinte" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(20)}, "*",0, 0)),(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_et_m_diez" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(10)}, "*",0, 0)),(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_et_m_cinco" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(5)}, "*",0, 0)),(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_et_m_dos" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(2)}, "*",0, 0)),(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_et_m_peso" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(1)}, "*",0, 0)),(RemoteObject.solve(new RemoteObject[] {BA.numberCast(double.class, __ref.getField(false,"_et_m_centavo" /*RemoteObject*/ ).runMethod(true,"getText")),RemoteObject.createImmutable(0.50)}, "*",0, 0))}, "+++++",5, 0)));
 BA.debugLineNum = 126;BA.debugLine="total = sum_billetes + sum_monedas";
Debug.ShouldStop(536870912);
__ref.setField ("_total" /*RemoteObject*/ ,BA.numberCast(float.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_sum_billetes" /*RemoteObject*/ ),__ref.getField(true,"_sum_monedas" /*RemoteObject*/ )}, "+",1, 0)));
 BA.debugLineNum = 127;BA.debugLine="l_total.Text = Round2(total, 2)";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_l_total" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(c_tabulador.__c.runMethod(true,"Round2",(Object)(BA.numberCast(double.class, __ref.getField(true,"_total" /*RemoteObject*/ ))),(Object)(BA.numberCast(int.class, 2)))));
 BA.debugLineNum = 128;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b_guardar_click(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("b_guardar_Click (c_tabulador) ","c_tabulador",18,__ref.getField(false, "ba"),__ref,78);
if (RapidSub.canDelegate("b_guardar_click")) { return __ref.runUserSub(false, "c_tabulador","b_guardar_click", __ref);}
 BA.debugLineNum = 78;BA.debugLine="Private Sub b_guardar_Click";
Debug.ShouldStop(8192);
 BA.debugLineNum = 79;BA.debugLine="b_calcular_Click";
Debug.ShouldStop(16384);
__ref.runClassMethod (SHARK2.keymon.com.mx.c_tabulador.class, "_b_calcular_click" /*RemoteObject*/ );
 BA.debugLineNum = 80;BA.debugLine="Starter.skmt.ExecNonQuery(\"DELETE FROM TABULADOR_";
Debug.ShouldStop(32768);
c_tabulador._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("DELETE FROM TABULADOR_MONEDAS")));
 BA.debugLineNum = 81;BA.debugLine="Starter.skmt.ExecNonQuery(\"DELETE FROM TABULADOR_";
Debug.ShouldStop(65536);
c_tabulador._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery",(Object)(RemoteObject.createImmutable("DELETE FROM TABULADOR_BILLETES")));
 BA.debugLineNum = 82;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO TABULADOR";
Debug.ShouldStop(131072);
c_tabulador._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO TABULADOR_BILLETES (MIL, QUINIENTOS, DOCIENTOS, CIEN, CINCUENTA, VEINTE) VALUES (?,?,?,?,?,?)")),(Object)(c_tabulador.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {6},new Object[] {(__ref.getField(false,"_et_mil" /*RemoteObject*/ ).runMethod(true,"getText")),(__ref.getField(false,"_et_quinientos" /*RemoteObject*/ ).runMethod(true,"getText")),(__ref.getField(false,"_et_docientos" /*RemoteObject*/ ).runMethod(true,"getText")),(__ref.getField(false,"_et_cien" /*RemoteObject*/ ).runMethod(true,"getText")),(__ref.getField(false,"_et_cincuenta" /*RemoteObject*/ ).runMethod(true,"getText")),(__ref.getField(false,"_et_veinte" /*RemoteObject*/ ).runMethod(true,"getText"))})))));
 BA.debugLineNum = 83;BA.debugLine="Starter.skmt.ExecNonQuery2(\"INSERT INTO TABULADOR";
Debug.ShouldStop(262144);
c_tabulador._starter._skmt /*RemoteObject*/ .runVoidMethod ("ExecNonQuery2",(Object)(BA.ObjectToString("INSERT INTO TABULADOR_MONEDAS (VEINTE, DIEZ, CINCO, DOS, PESO, CENTAVO, TOTAL) VALUES (?,?,?,?,?,?,?)")),(Object)(c_tabulador.__c.runMethod(false, "ArrayToList", (Object)(RemoteObject.createNewArray("Object",new int[] {7},new Object[] {(__ref.getField(false,"_et_m_veinte" /*RemoteObject*/ ).runMethod(true,"getText")),(__ref.getField(false,"_et_m_diez" /*RemoteObject*/ ).runMethod(true,"getText")),(__ref.getField(false,"_et_m_cinco" /*RemoteObject*/ ).runMethod(true,"getText")),(__ref.getField(false,"_et_m_dos" /*RemoteObject*/ ).runMethod(true,"getText")),(__ref.getField(false,"_et_m_peso" /*RemoteObject*/ ).runMethod(true,"getText")),(__ref.getField(false,"_et_m_centavo" /*RemoteObject*/ ).runMethod(true,"getText")),(__ref.getField(false,"_l_total" /*RemoteObject*/ ).runMethod(true,"getText"))})))));
 BA.debugLineNum = 84;BA.debugLine="B4XPages.ShowPage(\"Principal\")";
Debug.ShouldStop(524288);
c_tabulador._b4xpages.runVoidMethod ("_showpage" /*RemoteObject*/ ,__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("Principal")));
 BA.debugLineNum = 85;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_appear(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Appear (c_tabulador) ","c_tabulador",18,__ref.getField(false, "ba"),__ref,38);
if (RapidSub.canDelegate("b4xpage_appear")) { return __ref.runUserSub(false, "c_tabulador","b4xpage_appear", __ref);}
 BA.debugLineNum = 38;BA.debugLine="Sub B4XPage_Appear";
Debug.ShouldStop(32);
 BA.debugLineNum = 39;BA.debugLine="d = Starter.skmt.ExecQuery(\"SELECT VEINTE, DIEZ,";
Debug.ShouldStop(64);
__ref.getField(false,"_d" /*RemoteObject*/ ).setObject (c_tabulador._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT VEINTE, DIEZ, CINCO, DOS, PESO, CENTAVO, TOTAL FROM TABULADOR_MONEDAS"))));
 BA.debugLineNum = 40;BA.debugLine="c = Starter.skmt.ExecQuery(\"SELECT MIL, QUINIENTO";
Debug.ShouldStop(128);
__ref.getField(false,"_c" /*RemoteObject*/ ).setObject (c_tabulador._starter._skmt /*RemoteObject*/ .runMethod(false,"ExecQuery",(Object)(RemoteObject.createImmutable("SELECT MIL, QUINIENTOS, DOCIENTOS, CIEN, CINCUENTA, VEINTE FROM TABULADOR_BILLETES"))));
 BA.debugLineNum = 41;BA.debugLine="c.Position = 0";
Debug.ShouldStop(256);
__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 42;BA.debugLine="d.Position = 0";
Debug.ShouldStop(512);
__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"setPosition",BA.numberCast(int.class, 0));
 BA.debugLineNum = 43;BA.debugLine="If c.RowCount > 0 And d.RowCount > 0 Then";
Debug.ShouldStop(1024);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0)) && RemoteObject.solveBoolean(">",__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 44;BA.debugLine="Log(\"TABULADR CON RESUKTADO\")";
Debug.ShouldStop(2048);
c_tabulador.__c.runVoidMethod ("LogImpl","525821190",RemoteObject.createImmutable("TABULADR CON RESUKTADO"),0);
 BA.debugLineNum = 45;BA.debugLine="et_mil.Text = c.GetString(\"MIL\")";
Debug.ShouldStop(4096);
__ref.getField(false,"_et_mil" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("MIL")))));
 BA.debugLineNum = 46;BA.debugLine="et_quinientos.Text = c.GetString(\"QUINIENTOS\")";
Debug.ShouldStop(8192);
__ref.getField(false,"_et_quinientos" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("QUINIENTOS")))));
 BA.debugLineNum = 47;BA.debugLine="et_docientos.Text = c.GetString(\"DOCIENTOS\")";
Debug.ShouldStop(16384);
__ref.getField(false,"_et_docientos" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("DOCIENTOS")))));
 BA.debugLineNum = 48;BA.debugLine="et_cien.Text = c.GetString(\"CIEN\")";
Debug.ShouldStop(32768);
__ref.getField(false,"_et_cien" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CIEN")))));
 BA.debugLineNum = 49;BA.debugLine="et_cincuenta.Text = c.GetString(\"CINCUENTA\")";
Debug.ShouldStop(65536);
__ref.getField(false,"_et_cincuenta" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CINCUENTA")))));
 BA.debugLineNum = 50;BA.debugLine="et_veinte.Text = c.GetString(\"VEINTE\")";
Debug.ShouldStop(131072);
__ref.getField(false,"_et_veinte" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("VEINTE")))));
 BA.debugLineNum = 51;BA.debugLine="et_m_veinte.Text = d.GetString(\"VEINTE\")";
Debug.ShouldStop(262144);
__ref.getField(false,"_et_m_veinte" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("VEINTE")))));
 BA.debugLineNum = 52;BA.debugLine="et_m_diez.Text = d.GetString(\"DIEZ\")";
Debug.ShouldStop(524288);
__ref.getField(false,"_et_m_diez" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("DIEZ")))));
 BA.debugLineNum = 53;BA.debugLine="et_m_cinco.Text = d.GetString(\"CINCO\")";
Debug.ShouldStop(1048576);
__ref.getField(false,"_et_m_cinco" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CINCO")))));
 BA.debugLineNum = 54;BA.debugLine="et_m_dos.Text = d.GetString(\"DOS\")";
Debug.ShouldStop(2097152);
__ref.getField(false,"_et_m_dos" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("DOS")))));
 BA.debugLineNum = 55;BA.debugLine="et_m_peso.Text = d.GetString(\"PESO\")";
Debug.ShouldStop(4194304);
__ref.getField(false,"_et_m_peso" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("PESO")))));
 BA.debugLineNum = 56;BA.debugLine="et_m_centavo.Text = d.GetString(\"CENTAVO\")";
Debug.ShouldStop(8388608);
__ref.getField(false,"_et_m_centavo" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("CENTAVO")))));
 BA.debugLineNum = 57;BA.debugLine="l_total.Text = d.GetString(\"TOTAL\")";
Debug.ShouldStop(16777216);
__ref.getField(false,"_l_total" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"GetString",(Object)(RemoteObject.createImmutable("TOTAL")))));
 }else 
{ BA.debugLineNum = 58;BA.debugLine="else If c.RowCount = 0 And d.RowCount = 0 Then";
Debug.ShouldStop(33554432);
if (RemoteObject.solveBoolean("=",__ref.getField(false,"_c" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0)) && RemoteObject.solveBoolean("=",__ref.getField(false,"_d" /*RemoteObject*/ ).runMethod(true,"getRowCount"),BA.numberCast(double.class, 0))) { 
 BA.debugLineNum = 59;BA.debugLine="Log(\"TABULADR SIN RESUKTADO\")";
Debug.ShouldStop(67108864);
c_tabulador.__c.runVoidMethod ("LogImpl","525821205",RemoteObject.createImmutable("TABULADR SIN RESUKTADO"),0);
 BA.debugLineNum = 60;BA.debugLine="et_mil.Text = \"\"";
Debug.ShouldStop(134217728);
__ref.getField(false,"_et_mil" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 61;BA.debugLine="et_quinientos.Text = \"\"";
Debug.ShouldStop(268435456);
__ref.getField(false,"_et_quinientos" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 62;BA.debugLine="et_docientos.Text = \"\"";
Debug.ShouldStop(536870912);
__ref.getField(false,"_et_docientos" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 63;BA.debugLine="et_cien.Text = \"\"";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_et_cien" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 64;BA.debugLine="et_cincuenta.Text = \"\"";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_et_cincuenta" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 65;BA.debugLine="et_veinte.Text = \"\"";
Debug.ShouldStop(1);
__ref.getField(false,"_et_veinte" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 66;BA.debugLine="et_m_veinte.Text = \"\"";
Debug.ShouldStop(2);
__ref.getField(false,"_et_m_veinte" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 67;BA.debugLine="et_m_diez.Text = \"\"";
Debug.ShouldStop(4);
__ref.getField(false,"_et_m_diez" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 68;BA.debugLine="et_m_cinco.Text = \"\"";
Debug.ShouldStop(8);
__ref.getField(false,"_et_m_cinco" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 69;BA.debugLine="et_m_dos.Text = \"\"";
Debug.ShouldStop(16);
__ref.getField(false,"_et_m_dos" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 70;BA.debugLine="et_m_peso.Text = \"\"";
Debug.ShouldStop(32);
__ref.getField(false,"_et_m_peso" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 71;BA.debugLine="et_m_centavo.Text = \"\"";
Debug.ShouldStop(64);
__ref.getField(false,"_et_m_centavo" /*RemoteObject*/ ).runMethodAndSync(true,"setText",BA.ObjectToCharSequence(""));
 BA.debugLineNum = 72;BA.debugLine="l_total.Text = \"\"";
Debug.ShouldStop(128);
__ref.getField(false,"_l_total" /*RemoteObject*/ ).runMethod(true,"setText",BA.ObjectToCharSequence(""));
 }}
;
 BA.debugLineNum = 74;BA.debugLine="c.Close";
Debug.ShouldStop(512);
__ref.getField(false,"_c" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 75;BA.debugLine="d.Close";
Debug.ShouldStop(1024);
__ref.getField(false,"_d" /*RemoteObject*/ ).runVoidMethod ("Close");
 BA.debugLineNum = 76;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _b4xpage_created(RemoteObject __ref,RemoteObject _root1) throws Exception{
try {
		Debug.PushSubsStack("B4XPage_Created (c_tabulador) ","c_tabulador",18,__ref.getField(false, "ba"),__ref,32);
if (RapidSub.canDelegate("b4xpage_created")) { return __ref.runUserSub(false, "c_tabulador","b4xpage_created", __ref, _root1);}
Debug.locals.put("Root1", _root1);
 BA.debugLineNum = 32;BA.debugLine="Private Sub B4XPage_Created (Root1 As B4XView)";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 33;BA.debugLine="Root = Root1";
Debug.ShouldStop(1);
__ref.setField ("_root" /*RemoteObject*/ ,_root1);
 BA.debugLineNum = 35;BA.debugLine="Root.LoadLayout(\"tabulador\")";
Debug.ShouldStop(4);
__ref.getField(false,"_root" /*RemoteObject*/ ).runVoidMethodAndSync ("LoadLayout",(Object)(RemoteObject.createImmutable("tabulador")),__ref.getField(false, "ba"));
 BA.debugLineNum = 36;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 1;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 2;BA.debugLine="Private Root As B4XView 'ignore";
c_tabulador._root = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper");__ref.setField("_root",c_tabulador._root);
 //BA.debugLineNum = 3;BA.debugLine="Private xui As XUI 'ignore";
c_tabulador._xui = RemoteObject.createNew ("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");__ref.setField("_xui",c_tabulador._xui);
 //BA.debugLineNum = 4;BA.debugLine="Private et_mil As EditText";
c_tabulador._et_mil = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_mil",c_tabulador._et_mil);
 //BA.debugLineNum = 5;BA.debugLine="Private et_quinientos As EditText";
c_tabulador._et_quinientos = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_quinientos",c_tabulador._et_quinientos);
 //BA.debugLineNum = 6;BA.debugLine="Private et_docientos As EditText";
c_tabulador._et_docientos = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_docientos",c_tabulador._et_docientos);
 //BA.debugLineNum = 7;BA.debugLine="Private et_cien As EditText";
c_tabulador._et_cien = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_cien",c_tabulador._et_cien);
 //BA.debugLineNum = 8;BA.debugLine="Private et_cincuenta As EditText";
c_tabulador._et_cincuenta = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_cincuenta",c_tabulador._et_cincuenta);
 //BA.debugLineNum = 9;BA.debugLine="Private et_veinte As EditText";
c_tabulador._et_veinte = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_veinte",c_tabulador._et_veinte);
 //BA.debugLineNum = 10;BA.debugLine="Private et_m_veinte As EditText";
c_tabulador._et_m_veinte = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_m_veinte",c_tabulador._et_m_veinte);
 //BA.debugLineNum = 11;BA.debugLine="Private et_m_diez As EditText";
c_tabulador._et_m_diez = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_m_diez",c_tabulador._et_m_diez);
 //BA.debugLineNum = 12;BA.debugLine="Private et_m_cinco As EditText";
c_tabulador._et_m_cinco = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_m_cinco",c_tabulador._et_m_cinco);
 //BA.debugLineNum = 13;BA.debugLine="Private et_m_dos As EditText";
c_tabulador._et_m_dos = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_m_dos",c_tabulador._et_m_dos);
 //BA.debugLineNum = 14;BA.debugLine="Private et_m_peso As EditText";
c_tabulador._et_m_peso = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_m_peso",c_tabulador._et_m_peso);
 //BA.debugLineNum = 15;BA.debugLine="Private et_m_centavo As EditText";
c_tabulador._et_m_centavo = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");__ref.setField("_et_m_centavo",c_tabulador._et_m_centavo);
 //BA.debugLineNum = 16;BA.debugLine="Private b_calcular As Button";
c_tabulador._b_calcular = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_b_calcular",c_tabulador._b_calcular);
 //BA.debugLineNum = 17;BA.debugLine="Private b_guardar As Button";
c_tabulador._b_guardar = RemoteObject.createNew ("anywheresoftware.b4a.objects.ButtonWrapper");__ref.setField("_b_guardar",c_tabulador._b_guardar);
 //BA.debugLineNum = 18;BA.debugLine="Private l_total As Label";
c_tabulador._l_total = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");__ref.setField("_l_total",c_tabulador._l_total);
 //BA.debugLineNum = 19;BA.debugLine="Dim sum_billetes As Int";
c_tabulador._sum_billetes = RemoteObject.createImmutable(0);__ref.setField("_sum_billetes",c_tabulador._sum_billetes);
 //BA.debugLineNum = 20;BA.debugLine="Dim sum_monedas As Float";
c_tabulador._sum_monedas = RemoteObject.createImmutable(0f);__ref.setField("_sum_monedas",c_tabulador._sum_monedas);
 //BA.debugLineNum = 21;BA.debugLine="Dim total As Float";
c_tabulador._total = RemoteObject.createImmutable(0f);__ref.setField("_total",c_tabulador._total);
 //BA.debugLineNum = 22;BA.debugLine="Dim c As Cursor";
c_tabulador._c = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_c",c_tabulador._c);
 //BA.debugLineNum = 23;BA.debugLine="Dim d As Cursor";
c_tabulador._d = RemoteObject.createNew ("anywheresoftware.b4a.sql.SQL.CursorWrapper");__ref.setField("_d",c_tabulador._d);
 //BA.debugLineNum = 24;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba) throws Exception{
try {
		Debug.PushSubsStack("Initialize (c_tabulador) ","c_tabulador",18,__ref.getField(false, "ba"),__ref,27);
if (RapidSub.canDelegate("initialize")) { return __ref.runUserSub(false, "c_tabulador","initialize", __ref, _ba);}
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
 BA.debugLineNum = 27;BA.debugLine="Public Sub Initialize As Object";
Debug.ShouldStop(67108864);
 BA.debugLineNum = 28;BA.debugLine="Return Me";
Debug.ShouldStop(134217728);
if (true) return __ref;
 BA.debugLineNum = 29;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return RemoteObject.createImmutable(null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}